SimpleCharStream (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.json.parser

## [Java] Class SimpleCharStream

- org.codehaus.groovy.grails.web.json.parser.SimpleCharStream

- An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected int[]` | `bufcolumn` |
    `protected char[]` | `buffer` |
    `protected int[]` | `bufline` |
    `int` | `bufpos` | Position in buffer.
    `protected int` | `column` |
    `protected int` | `inBuf` |
    `protected java.io.Reader` | `inputStream` |
    `protected int` | `line` |
    `protected int` | `maxNextCharInd` |
    `protected boolean` | `prevCharIsCR` |
    `protected boolean` | `prevCharIsLF` |
    `static boolean` | `staticFlag` | Whether parser is static.
    `protected int` | `tabSize` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleCharStream (java.io.Reader dstream, int startline, int startcolumn, int buffersize)` Constructor.
    `SimpleCharStream (java.io.Reader dstream, int startline, int startcolumn)` Constructor.
    `SimpleCharStream (java.io.Reader dstream)` Constructor.
    `SimpleCharStream (java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)` Constructor.
    `SimpleCharStream (java.io.InputStream dstream, int startline, int startcolumn, int buffersize)` Constructor.
    `SimpleCharStream (java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)` Constructor.
    `SimpleCharStream (java.io.InputStream dstream, int startline, int startcolumn)` Constructor.
    `SimpleCharStream (java.io.InputStream dstream, java.lang.String encoding)` Constructor.
    `SimpleCharStream (java.io.InputStream dstream)` Constructor.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `char` | `BeginToken()` Start.
    `void` | `Done()` Reset buffer when finished.
    `protected void` | `ExpandBuff(boolean wrapAround)`
    `protected void` | `FillBuff()`
    `java.lang.String` | `GetImage()` Get token literal value.
    `char[]` | `GetSuffix(int len)` Get the suffix.
    `void` | `ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)` Reinitialise.
    `void` | `ReInit(java.io.Reader dstream, int startline, int startcolumn)` Reinitialise.
    `void` | `ReInit(java.io.Reader dstream)` Reinitialise.
    `void` | `ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)` Reinitialise.
    `void` | `ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)` Reinitialise.
    `void` | `ReInit(java.io.InputStream dstream, java.lang.String encoding)` Reinitialise.
    `void` | `ReInit(java.io.InputStream dstream)` Reinitialise.
    `void` | `ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)` Reinitialise.
    `void` | `ReInit(java.io.InputStream dstream, int startline, int startcolumn)` Reinitialise.
    `protected void` | `UpdateLineColumn(char c)`
    `void` | `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
    `void` | `backup(int amount)` Backup a number of characters.
    `int` | `getBeginColumn()` Get token beginning column number.
    `int` | `getBeginLine()` Get token beginning line number.
    `int` | `getColumn()` @deprecated See Also: getEndColumn
    `int` | `getEndColumn()` Get token end column number.
    `int` | `getEndLine()` Get token end line number.
    `int` | `getLine()` @deprecated See Also: getEndLine
    `protected int` | `getTabSize(int i)`
    `char` | `readChar()` Read a character.
    `protected void` | `setTabSize(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected int[] bufcolumn

    - #### protected char[] buffer

    - #### protected int[] bufline

    - #### public int bufpos

      Position in buffer.

    - #### protected int column

    - #### protected int inBuf

    - #### protected java.io.Reader inputStream

    - #### protected int line

    - #### protected int maxNextCharInd

    - #### protected boolean prevCharIsCR

    - #### protected boolean prevCharIsLF

    - #### public static final boolean staticFlag

      Whether parser is static.

    - #### protected int tabSize

  - ### Constructor Detail

    - #### public SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)

      Constructor.

    - #### public SimpleCharStream(java.io.Reader dstream, int startline, int startcolumn)

      Constructor.

    - #### public SimpleCharStream(java.io.Reader dstream)

      Constructor.

    - #### public SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)

      Constructor.

    - #### public SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)

      Constructor.

    - #### public SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)

      Constructor.

    - #### public SimpleCharStream(java.io.InputStream dstream, int startline, int startcolumn)

      Constructor.

    - #### public SimpleCharStream(java.io.InputStream dstream, java.lang.String encoding)

      Constructor.

    - #### public SimpleCharStream(java.io.InputStream dstream)

      Constructor.

  - ### Method Detail

    - #### public char BeginToken()

      Start.

    - #### public void Done()

      Reset buffer when finished.

    - #### protected void ExpandBuff(boolean wrapAround)

    - #### protected void FillBuff()

    - #### public java.lang.String GetImage()

      Get token literal value.

    - #### public char[] GetSuffix(int len)

      Get the suffix.

    - #### public void ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)

      Reinitialise.

    - #### public void ReInit(java.io.Reader dstream, int startline, int startcolumn)

      Reinitialise.

    - #### public void ReInit(java.io.Reader dstream)

      Reinitialise.

    - #### public void ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn, int buffersize)

      Reinitialise.

    - #### public void ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)

      Reinitialise.

    - #### public void ReInit(java.io.InputStream dstream, java.lang.String encoding)

      Reinitialise.

    - #### public void ReInit(java.io.InputStream dstream)

      Reinitialise.

    - #### public void ReInit(java.io.InputStream dstream, java.lang.String encoding, int startline, int startcolumn)

      Reinitialise.

    - #### public void ReInit(java.io.InputStream dstream, int startline, int startcolumn)

      Reinitialise.

    - #### protected void UpdateLineColumn(char c)

    - #### public void adjustBeginLineColumn(int newLine, int newCol)

      Method to adjust line and column numbers for the start of a token.

    - #### public void backup(int amount)

      Backup a number of characters.

    - #### public int getBeginColumn()

      Get token beginning column number.

    - #### public int getBeginLine()

      Get token beginning line number.

    - #### @java.lang.Deprecated public int getColumn()

      deprecated:
      See Also:
        getEndColumn

    - #### public int getEndColumn()

      Get token end column number.

    - #### public int getEndLine()

      Get token end line number.

    - #### @java.lang.Deprecated public int getLine()

      deprecated:
      See Also:
        getEndLine

    - #### protected int getTabSize(int i)

    - #### public char readChar()

      Read a character.

    - #### protected void setTabSize(int i)